Bug 1279389 - ceph.conf properties override qemu's command-line properties
Summary: ceph.conf properties override qemu's command-line properties
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1277248
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-09 11:09 UTC by Jan Kurik
Modified: 2015-12-08 10:41 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-1.5.3-105.el7_2.1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1277248
Environment:
Last Closed: 2015-12-08 10:41:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2569 normal SHIPPED_LIVE qemu-kvm bug fix update 2015-12-08 15:40:05 UTC

Description Jan Kurik 2015-11-09 11:09:30 UTC
This bug has been copied from bug #1277248 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 4 Xiaoqing Wei 2015-11-18 06:01:34 UTC
on qemu-kvm-1.5.3-105.el7

/usr/libexec/qemu-kvm -M pc -S -monitor stdio -vnc none -smp 1 -m 1024 -net none -vga none -drive file=rbd:qemu-kvm-pool/test.raw:mon_host=10.66.9.236,id='rbd',format=raw,cache=none
QEMU 1.5.3 monitor - type 'help' for more information


[root@dhcp-9-69 ~]# ceph --admin-daemon /var/run/ceph/asok config show | grep rbd_cache\"
  "rbd_cache": "true",


=======================

on qemu-kvm-1.5.3-105.el7_2.1

[root@dhcp-9-69 ~]# /usr/libexec/qemu-kvm -M pc -S -monitor stdio -vnc none -smp 1 -m 1024 -net none -vga none -drive file=rbd:qemu-kvm-pool/test.raw:mon_host=10.66.9.236,id='rbd',format=raw,cache=none
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) info version 
1.5.3 (qemu-kvm-1.5.3-105.el7_2.1)


[root@dhcp-9-69 ~]# ceph --admin-daemon /var/run/ceph/asok config show | grep rbd_cache\"
  "rbd_cache": "false",




Based on above, this bug has been fixed correctly,
move to VERIFIED.

Comment 6 errata-xmlrpc 2015-12-08 10:41:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2569.html


Note You need to log in before you can comment on or make changes to this bug.